%define	kernel_rel	%(eval uname -r)
%define _mandir		%{_datadir}/man
%define _sysconfdir	/etc

Summary: ATMEL PCMCIA PCI USB linux driver
Summary(ja): ATMEL å PCMCIA/PCI/USB Linux ɥ饤
Name: atmelwlandriver
Version: 2.1.1
Release: b15
URL: http://sourceforge.net/projects/atmelwlandriver/
Source0: %{name}-%{version}.tar.bz2
#Nosource: 0
Source1: pcmf502r.conf
Source2: wireless.opts
Patch0: atmelwlandriver-%{version}.patch
License: GPL
Group: System Environment/Kernel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#Requires: xforms
#BuildPrereq: xforms-devel
BuildRequires: kernel-source, ncurses-devel
#Requires: kernel >= 2.4.3, chkconfig
BuildArchitectures: i586


%description
Atmel Wireless LAN Drivers for Linux Kernel.
This package contains a device driver for ATMEL chip LAN card.
(common files)

%description -l ja
ATMEL åפܤ LAN ɤΥǥХɥ饤ФǤ
Υѥå϶̥ե뤬ޤޤƤޤ


%package -n %{name}-%{kernel_rel}
Summary: ATMEL PCMCIA PCI USB linux driver
Summary(ja): ATMEL å PCMCIA/PCI/USB Linux ɥ饤
Group: System Environment/Kernel

%description -n %{name}-%{kernel_rel}
This package contains a device driver for ATMEL chip LAN card.
(driver module)

%description -n %{name}-%{kernel_rel} -l ja
ATMEL åפܤ LAN ɤΥǥХɥ饤ФǤ
Υѥå kernel ̤Υɥ饤ФޤޤƤޤ


##
## Setup Section
##

%prep
%setup -q -n atmelwlandriver
%patch0 -p 1
make clean


##
## Build Section
##

%build
make config <<EOF
n
n
n
n
y
y
y
y
y
y
y
y
y
n
EOF
make all


##
## Install Section
##

%install
install -d -m 755 ${RPM_BUILD_ROOT}/lib/modules/%{kernel_rel}/pcmcia/
install -d -m 755 ${RPM_BUILD_ROOT}/lib/modules/%{kernel_rel}/kernel/drivers/net/
install -d -m 755 ${RPM_BUILD_ROOT}/lib/modules/%{kernel_rel}/kernel/drivers/usb/
install -d -m 755 ${RPM_BUILD_ROOT}/%{_prefix}/bin/
install -d -m 755 ${RPM_BUILD_ROOT}/%{_prefix}/X11R6/bin/
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man1/
install -d -m 755 ${RPM_BUILD_ROOT}/root/
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/pcmcia/
install -d -m 755 ${RPM_BUILD_ROOT}/%{_sysconfdir}/skel/

if (ls objs/pcm*.o >/dev/null 2>&1); then install -m 644 objs/pcm*.o ${RPM_BUILD_ROOT}/lib/modules/%{kernel_rel}/pcmcia/; fi
if (ls objs/pci*.o >/dev/null 2>&1); then install -m 644 objs/pci*.o ${RPM_BUILD_ROOT}/lib/modules/%{kernel_rel}/kernel/drivers/net/; fi
if (ls objs/usb*.o >/dev/null 2>&1); then install -m 644 objs/usb*.o ${RPM_BUILD_ROOT}/lib/modules/%{kernel_rel}/kernel/drivers/usb/; fi
if [ -f objs/lvnet ]; then install -m 755 objs/lvnet ${RPM_BUILD_ROOT}/%{_prefix}/bin/; fi
if [ -f objs/xvnet ]; then install -m 755 objs/xvnet ${RPM_BUILD_ROOT}/%{_prefix}/X11R6/bin/; fi
if [ -f scripts/fastvnet.sh ]; then install -m 755 scripts/fastvnet.sh ${RPM_BUILD_ROOT}/%{_prefix}/bin/; fi
###install -m 644 man/*.1.gz ${RPM_BUILD_ROOT}/%{_mandir}/man1/

##cp -f /etc/pcmcia/wireless.opts ./
cp -f %{SOURCE2} ./
WIRELESS=./wireless.opts
if [ `grep -c 'ATMEL' ${WIRELESS}` -lt "1" ]; then patch ${WIRELESS} patch/startup.patch; fi
if [ -f scripts/.vnetrc ]; then install -m 666 scripts/.vnetrc ${RPM_BUILD_ROOT}/root/; fi
if [ -f scripts/.vnetrc ]; then install -m 666 scripts/.vnetrc ${RPM_BUILD_ROOT}/%{_sysconfdir}/skel/; fi
if [ -f scripts/atmel.conf ]; then install -m 666 scripts/atmel.conf ${RPM_BUILD_ROOT}/%{_sysconfdir}/pcmcia/; fi
install -m 444 ${WIRELESS} ${RPM_BUILD_ROOT}/%{_sysconfdir}/pcmcia/${WIRELESS}.atmel
##install -m 666 %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/pcmcia/
cat %{SOURCE1} >> ${RPM_BUILD_ROOT}/%{_sysconfdir}/pcmcia/atmel.conf

find ${RPM_BUILD_ROOT}/lib -type f -print | sed "s@^${RPM_BUILD_ROOT}@@g" > %{name}.files


##
## Post, Postun & Pre, Preun Section
##

%pre
/sbin/depmod -aq

%post
/sbin/depmod -aq


##
## Clean Section
##

%clean
rm -rf %{buildroot}


##
## Files Section
##

%files
%defattr(-,root,root)
%doc README CHANGES
%config(noreplace) %{_sysconfdir}/pcmcia/atmel.conf
##%config(noreplace) %{_sysconfdir}/pcmcia/pcmf502r.conf
%config %{_sysconfdir}/pcmcia/wireless.opts.atmel
%config(noreplace) %{_sysconfdir}/skel/.vnetrc
%config(noreplace) /root/.vnetrc
%{_prefix}/bin/*
###%{_prefix}/X11R6/bin/*
###%{_mandir}/man1/*

%files -f %{name}.files -n %{name}-%{kernel_rel}
%defattr(-,root,root)


##
## Change log
##

%changelog
* Tue Nov 18 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 20030923
* Sun Sep 21 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 20030918
* Fri Aug 22 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Version Up to 20030813
* Wed Jun 4 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Add wireless.opts
- Change how to use pcmf502r.conf file
* Thu May 1 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from http://be.nucl.ap.titech.ac.jp/~sugimoto/comp/rpm.html
